| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::accept (2 of 4 overloads)

Accept a new connection.

    template<
        typename SocketService>
    boost::system::error_code accept(
        basic_socket< protocol_type, SocketService > & peer,
        boost::system::error_code & ec);

This function is used to accept a new connection from a peer into the given socket. The function call will block until a new connection has been accepted successfully or an error occurs.

###### Parameters

peer

  The socket into which the new connection will be accepted.

ec

  Set to indicate what error occurred, if any.

###### Example

    boost::asio::ip::tcp::acceptor acceptor(io_service);
    ...
    boost::asio::ip::tcp::soocket socket(io_service);
    boost::system::error_code ec;
    acceptor.accept(socket, ec);
    if (ec)
    {
      // An error occurred.
    }